Pack items
curl --request POST \
--url https://staging.api.commercengine.io/api/v1/{store_id}/admin/shipping/shipments/{order_number}/pack-items \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"warehouse_id": "<string>",
"items": [
{
"product_id": "<string>",
"variant_id": "<string>",
"quantity": 123
}
]
}
'import requests
url = "https://staging.api.commercengine.io/api/v1/{store_id}/admin/shipping/shipments/{order_number}/pack-items"
payload = {
"warehouse_id": "<string>",
"items": [
{
"product_id": "<string>",
"variant_id": "<string>",
"quantity": 123
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
warehouse_id: '<string>',
items: [{product_id: '<string>', variant_id: '<string>', quantity: 123}]
})
};
fetch('https://staging.api.commercengine.io/api/v1/{store_id}/admin/shipping/shipments/{order_number}/pack-items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"success": true,
"content": {
"total_boxes": 123,
"total_cost": 123,
"total_weight": 123,
"boxes": [
{
"type": "bin",
"name": "<string>",
"length": 123,
"width": 123,
"height": 123,
"weight": 123,
"max_weight": 123,
"packed_items_count": 123,
"packed_items_weight": 123,
"chargeable_weight": 123,
"box_count": 123,
"items": [
{
"id": "<string>",
"product_id": "<string>",
"product_name": "<string>",
"variant_id": "<string>",
"variant_name": "<string>",
"length": 123,
"width": 123,
"height": 123,
"weight": 123,
"image_separated": "<string>",
"image_sbs": "<string>",
"coordinates": {}
}
]
}
]
}
}Shipping
Pack items
Generate auto packing details
POST
/
shipping
/
shipments
/
{order_number}
/
pack-items
Pack items
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Order number
Was this page helpful?
⌘I